import type { _NSCopying } from "./NSCopying.js";
import type { _NSObject } from "./NSObject.js";
import type { _NSSecureCoding } from "./NSSecureCoding.js";
import type { _NSString } from "./NSString.js";
export declare class _NSPersonNameComponents extends _NSObject {
    static alloc(): _NSPersonNameComponents;
    static new(): _NSPersonNameComponents;
    init(): _NSPersonNameComponents;
    /** Pre-nominal letters denoting title, salutation, or honorific, e.g. Dr., Mr. */
    namePrefix(): _NSString | null;
    setNamePrefix$(value: _NSString | null): void;
    /** Name bestowed upon an individual by one's parents, e.g. Johnathan */
    givenName(): _NSString | null;
    setGivenName$(value: _NSString | null): void;
    /**
     * Secondary given name chosen to differentiate those with the same first name, e.g. Maple
     */
    middleName(): _NSString | null;
    setMiddleName$(value: _NSString | null): void;
    /** Name passed from one generation to another to indicate lineage, e.g. Appleseed */
    familyName(): _NSString | null;
    setFamilyName$(value: _NSString | null): void;
    /**
     * Post-nominal letters denoting degree, accreditation, or other honor, e.g. Esq., Jr., Ph.D.
     */
    nameSuffix(): _NSString | null;
    setNameSuffix$(value: _NSString | null): void;
    /** Name substituted for the purposes of familiarity, e.g. "Johnny" */
    nickname(): _NSString | null;
    setNickname$(value: _NSString | null): void;
    /**
     * Each element of the phoneticRepresentation should correspond to an element of the original PersonNameComponents instance. The phoneticRepresentation of the phoneticRepresentation object itself will be ignored. nil by default, must be instantiated.
     */
    phoneticRepresentation(): _NSPersonNameComponents | null;
    setPhoneticRepresentation$(value: _NSPersonNameComponents | null): void;
}
export interface _NSPersonNameComponents extends _NSCopying, _NSSecureCoding {
}
